It is currently Tue Sep 24, 2019 10:43 am


All times are UTC [ DST ]




Post new topic Reply to topic  [ 7 posts ] 
Author Message
 Post subject: Linux and libinations (libGLEW)
PostPosted: Tue Apr 03, 2007 7:47 am 
DAPHNE Platinum Donator
DAPHNE Platinum Donator
User avatar

Joined: Wed Jan 31, 2007 3:26 am
Posts: 49
Location: Austin, Tx.
libGLEW has given me a few problems in that some user configuration is neccessary to get daphne running without the loader in configurations where it is not desirable. Such configurations include using another menu system or more simply - from a script. I get different symptoms depending on the distribution (I have tested Gentoo and Edubuntu with Daphne 1.0).

With Gentoo 2006.1 I am able to install glew to solve the missing library error. That's an easy fix:
Code:
#emerge glew

That should install version 1.3.5

In Edubuntu 6.06 LTS, I get an error complaining undefined symbol: __glewGetShaderiv. There seems to be a version difference between the installed version and the version in the daphne/lib/ directory. So /usr/lib/libGLEW.so.1.3 links to the 1.3.1 version on this distribution. I have found several solutions including declaring LD_LIBRARY_PATH environment variable, although I cannot think of any reason why you wouldn't be able to simply link to a newer version without installing from apt-get. Be careful now- you should really back up the old library and link in case you need to put it back the way it was. This method is NOT the Debian Way.
Code:
#sudo su
#mv /usr/lib/libGLEW* ~
#cp PATH-TO/daphne/lib/libGLEW* /usr/lib/

In this method I have simply copied the library from the daphne/lib/ directory as is without a symbolic link. It should also work in plain ole Ubuntu or KUbuntu 6.06 LTS.


Top
Offline Profile  
 
 Post subject:
PostPosted: Tue Apr 03, 2007 3:54 pm 
DAPHNE Creator
DAPHNE Creator

Joined: Sat Jan 20, 2001 1:00 am
Posts: 2121
Location: Salt Lake City,Utah, USA
The problem is that most distros are still using an old version of GLEW and Daphne needs a fairly current version with that function you mentioned (glewGetShaderiv).

This problem will go away in time as the distros get up to date.


Top
Offline Profile  
 
 Post subject: That's odd...
PostPosted: Sun May 20, 2007 2:43 am 
DAPHNE Gold Donator
DAPHNE Gold Donator
User avatar

Joined: Wed Sep 27, 2006 11:32 am
Posts: 82
Location: California
I never had to emerge glew to get functionality in Daphne. Is this something that the pre-compiled binary is dependent on?


Top
Offline Profile  
 
 Post subject: Re: That's odd...
PostPosted: Tue May 22, 2007 12:19 am 
DAPHNE Platinum Donator
DAPHNE Platinum Donator
User avatar

Joined: Wed Jan 31, 2007 3:26 am
Posts: 49
Location: Austin, Tx.
lowlight wrote:
I never had to emerge glew to get functionality in Daphne. Is this something that the pre-compiled binary is dependent on?

Yes

*edit*
Let me be more specific: It is not a problem when you run Daphne with the loader. But if you run daphne from another front end, and you have older or no libraries installed then daphne will complain/fail. I should have clairified that point but I thought this thread would die.

Lets let this thread die.


Top
Offline Profile  
 
 Post subject: More libglewinations
PostPosted: Fri Nov 09, 2007 2:31 am 
DAPHNE Platinum Donator
DAPHNE Platinum Donator
User avatar

Joined: Wed Jan 31, 2007 3:26 am
Posts: 49
Location: Austin, Tx.
http://anti-particle.com/forum/viewtopic.php?t=78

Wahcade setup on Ubuntu Gutsy. Friday Nov. 9 post.


Top
Offline Profile  
 
 Post subject:
PostPosted: Fri Nov 09, 2007 5:44 pm 
DAPHNE Creator
DAPHNE Creator

Joined: Sat Jan 20, 2001 1:00 am
Posts: 2121
Location: Salt Lake City,Utah, USA
Sounds like maybe I should rename the daphne binary to daphne.bin and make a script called 'daphne' similar to the daphneloader script.


Top
Offline Profile  
 
 Post subject:
PostPosted: Tue Nov 20, 2007 3:34 am 
DAPHNE Platinum Donator
DAPHNE Platinum Donator
User avatar

Joined: Wed Jan 31, 2007 3:26 am
Posts: 49
Location: Austin, Tx.
I've resigned to the fact that you HAVE to use libraries packaged with daphne. So I rewrote your Daphneloader script and renamed daphne daphne.bin. It works like a charm.
Code:
#! /bin/bash

SCRIPT_DIR=`dirname "$0"`

cd "$SCRIPT_DIR"

# We need libraries that work with daphne, nothing else.
export LD_LIBRARY_PATH=./lib

./daphne.bin $@

This is gonna be the best way to run daphne with another frontend.


Top
Offline Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 7 posts ] 

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
Theme created StylerBB.net